
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index &ndash; D</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/locale.html#locale.D_FMT">D_FMT (in module locale)</a>
  </dt>

      
  <dt><a href="library/locale.html#locale.D_T_FMT">D_T_FMT (in module locale)</a>
  </dt>

      
  <dt><a href="library/multiprocessing.html#multiprocessing.Process.daemon">daemon (multiprocessing.Process attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/threading.html#threading.Thread.daemon">(threading.Thread attribute)</a>
  </dt>

      </dl></dd>
      
  <dt>
    dangling
  </dt>

      <dd><dl>
        
  <dt><a href="reference/compound_stmts.html#index-2">else</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/datamodel.html#index-0">data</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/struct.html#index-0">packing binary</a>
  </dt>

        
  <dt><a href="library/csv.html#index-0">tabular</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-4">type</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-7">type, immutable</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/plistlib.html#plistlib.Data">Data (class in plistlib)</a>
  </dt>

      
  <dt><a href="library/collections.html#collections.UserDict.data">data (collections.UserDict attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/collections.html#collections.UserList.data">(collections.UserList attribute)</a>
  </dt>

        
  <dt><a href="library/select.html#select.kevent.data">(select.kevent attribute)</a>
  </dt>

        
  <dt><a href="library/selectors.html#selectors.SelectorKey.data">(selectors.SelectorKey attribute)</a>
  </dt>

        
  <dt><a href="library/urllib.request.html#urllib.request.Request.data">(urllib.request.Request attribute)</a>
  </dt>

        
  <dt><a href="library/xml.dom.html#xml.dom.Comment.data">(xml.dom.Comment attribute)</a>
  </dt>

        
  <dt><a href="library/xml.dom.html#xml.dom.ProcessingInstruction.data">(xml.dom.ProcessingInstruction attribute)</a>
  </dt>

        
  <dt><a href="library/xml.dom.html#xml.dom.Text.data">(xml.dom.Text attribute)</a>
  </dt>

        
  <dt><a href="library/xmlrpc.client.html#xmlrpc.client.Binary.data">(xmlrpc.client.Binary attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.TreeBuilder.data">data() (xml.etree.ElementTree.TreeBuilder method)</a>
  </dt>

      
  <dt><a href="library/urllib.request.html#urllib.request.DataHandler.data_open">data_open() (urllib.request.DataHandler method)</a>
  </dt>

      
  <dt><a href="library/asyncio-protocol.html#asyncio.Protocol.data_received">data_received() (asyncio.Protocol method)</a>
  </dt>

      
  <dt>
    database
  </dt>

      <dd><dl>
        
  <dt><a href="library/unicodedata.html#index-0">Unicode</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/dbm.html#index-0">databases</a>
  </dt>

      
  <dt><a href="library/asyncio-protocol.html#asyncio.DatagramProtocol.datagram_received">datagram_received() (asyncio.DatagramProtocol method)</a>
  </dt>

      
  <dt><a href="library/logging.handlers.html#logging.handlers.DatagramHandler">DatagramHandler (class in logging.handlers)</a>
  </dt>

      
  <dt><a href="library/asyncio-protocol.html#asyncio.DatagramProtocol">DatagramProtocol (class in asyncio)</a>
  </dt>

      
  <dt><a href="library/urllib.request.html#urllib.request.DataHandler">DataHandler (class in urllib.request)</a>
  </dt>

      
  <dt><a href="library/datetime.html#datetime.date">date (class in datetime)</a>
  </dt>

      
  <dt><a href="library/datetime.html#datetime.datetime.date">date() (datetime.datetime method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/nntplib.html#nntplib.NNTP.date">(nntplib.NNTP method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/zipfile.html#zipfile.ZipInfo.date_time">date_time (zipfile.ZipInfo attribute)</a>
  </dt>

      
  <dt><a href="library/http.server.html#http.server.BaseHTTPRequestHandler.date_time_string">date_time_string() (http.server.BaseHTTPRequestHandler method)</a>
  </dt>

      
  <dt><a href="library/email.headerregistry.html#email.headerregistry.DateHeader">DateHeader (class in email.headerregistry)</a>
  </dt>

      
  <dt><a href="library/datetime.html#datetime.datetime">datetime (class in datetime)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/email.headerregistry.html#email.headerregistry.DateHeader.datetime">(email.headerregistry.DateHeader attribute)</a>
  </dt>

        
  <dt><a href="library/datetime.html#module-datetime">(module)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/expressions.html#index-13">datum</a>
  </dt>

      
  <dt><a href="library/datetime.html#datetime.date.day">day (datetime.date attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/datetime.html#datetime.datetime.day">(datetime.datetime attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/calendar.html#calendar.day_abbr">day_abbr (in module calendar)</a>
  </dt>

      
  <dt><a href="library/calendar.html#calendar.day_name">day_name (in module calendar)</a>
  </dt>

      
  <dt><a href="library/time.html#time.daylight">daylight (in module time)</a>
  </dt>

      
  <dt><a href="library/time.html#index-4">Daylight Saving Time</a>
  </dt>

      
  <dt><a href="library/shelve.html#shelve.DbfilenameShelf">DbfilenameShelf (class in shelve)</a>
  </dt>

      
  <dt><a href="library/dbm.html#module-dbm">dbm (module)</a>
  </dt>

      
  <dt><a href="library/dbm.html#module-dbm.dumb">dbm.dumb (module)</a>
  </dt>

      
  <dt>
    dbm.gnu
  </dt>

      <dd><dl>
        
  <dt><a href="library/shelve.html#index-1">module</a>, <a href="reference/datamodel.html#index-31">[1]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/dbm.html#module-dbm.gnu">dbm.gnu (module)</a>
  </dt>

      
  <dt>
    dbm.ndbm
  </dt>

      <dd><dl>
        
  <dt><a href="library/shelve.html#index-1">module</a>, <a href="reference/datamodel.html#index-31">[1]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/dbm.html#module-dbm.ndbm">dbm.ndbm (module)</a>
  </dt>

      
  <dt><a href="extending/newtypes.html#index-0">deallocation, object</a>
  </dt>

      
  <dt><a href="library/imaplib.html#imaplib.IMAP4.debug">debug (imaplib.IMAP4 attribute)</a>
  </dt>

      
  <dt><a href="library/re.html#re.DEBUG">DEBUG (in module re)</a>
  </dt>

      
  <dt><a href="library/shlex.html#shlex.shlex.debug">debug (shlex.shlex attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/zipfile.html#zipfile.ZipFile.debug">(zipfile.ZipFile attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/doctest.html#doctest.debug">debug() (in module doctest)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/logging.html#logging.debug">(in module logging)</a>
  </dt>

        
  <dt><a href="library/logging.html#logging.Logger.debug">(logging.Logger method)</a>
  </dt>

        
  <dt><a href="library/pipes.html#pipes.Template.debug">(pipes.Template method)</a>
  </dt>

        
  <dt><a href="library/unittest.html#unittest.TestCase.debug">(unittest.TestCase method)</a>
  </dt>

        
  <dt><a href="library/unittest.html#unittest.TestSuite.debug">(unittest.TestSuite method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/importlib.html#importlib.machinery.DEBUG_BYTECODE_SUFFIXES">DEBUG_BYTECODE_SUFFIXES (in module importlib.machinery)</a>
  </dt>

      
  <dt><a href="library/gc.html#gc.DEBUG_COLLECTABLE">DEBUG_COLLECTABLE (in module gc)</a>
  </dt>

      
  <dt><a href="library/gc.html#gc.DEBUG_LEAK">DEBUG_LEAK (in module gc)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#distutils.ccompiler.CCompiler.debug_print">debug_print() (distutils.ccompiler.CCompiler method)</a>
  </dt>

      
  <dt><a href="library/gc.html#gc.DEBUG_SAVEALL">DEBUG_SAVEALL (in module gc)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.debug_src">debug_src() (in module doctest)</a>
  </dt>

      
  <dt><a href="library/gc.html#gc.DEBUG_STATS">DEBUG_STATS (in module gc)</a>
  </dt>

      
  <dt><a href="library/gc.html#gc.DEBUG_UNCOLLECTABLE">DEBUG_UNCOLLECTABLE (in module gc)</a>
  </dt>

      
  <dt><a href="library/idle.html#index-3">debugger</a>, <a href="library/sys.html#index-18">[1]</a>, <a href="library/sys.html#index-4">[2]</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/pdb.html#index-2">configuration file</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/pdb.html#index-0">debugging</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/cgi.html#index-4">CGI</a>
  </dt>

        
  <dt><a href="reference/simple_stmts.html#index-15">assertions</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/smtpd.html#smtpd.DebuggingServer">DebuggingServer (class in smtpd)</a>
  </dt>

      
  <dt><a href="library/http.client.html#http.client.HTTPResponse.debuglevel">debuglevel (http.client.HTTPResponse attribute)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DebugRunner">DebugRunner (class in doctest)</a>
  </dt>

      
  <dt><a href="library/decimal.html#decimal.Decimal">Decimal (class in decimal)</a>
  </dt>

      
  <dt><a href="library/decimal.html#module-decimal">decimal (module)</a>
  </dt>

      
  <dt><a href="reference/lexical_analysis.html#index-20">decimal literal</a>
  </dt>

      
  <dt><a href="library/unicodedata.html#unicodedata.decimal">decimal() (in module unicodedata)</a>
  </dt>

      
  <dt><a href="library/decimal.html#decimal.DecimalException">DecimalException (class in decimal)</a>
  </dt>

      
  <dt>
    decode
  </dt>

      <dd><dl>
        
  <dt><a href="library/codecs.html#index-0">Codecs</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/codecs.html#codecs.CodecInfo.decode">decode (codecs.CodecInfo attribute)</a>
  </dt>

      
  <dt><a href="library/stdtypes.html#bytearray.decode">decode() (bytearray method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#bytes.decode">(bytes method)</a>
  </dt>

        
  <dt><a href="library/codecs.html#codecs.Codec.decode">(codecs.Codec method)</a>
  </dt>

        
  <dt><a href="library/codecs.html#codecs.IncrementalDecoder.decode">(codecs.IncrementalDecoder method)</a>
  </dt>

        
  <dt><a href="library/base64.html#base64.decode">(in module base64)</a>
  </dt>

        
  <dt><a href="library/codecs.html#codecs.decode">(in module codecs)</a>
  </dt>

        
  <dt><a href="library/quopri.html#quopri.decode">(in module quopri)</a>
  </dt>

        
  <dt><a href="library/uu.html#uu.decode">(in module uu)</a>
  </dt>

        
  <dt><a href="library/json.html#json.JSONDecoder.decode">(json.JSONDecoder method)</a>
  </dt>

        
  <dt><a href="library/xmlrpc.client.html#xmlrpc.client.Binary.decode">(xmlrpc.client.Binary method)</a>
  </dt>

        
  <dt><a href="library/xmlrpc.client.html#xmlrpc.client.DateTime.decode">(xmlrpc.client.DateTime method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/email.header.html#email.header.decode_header">decode_header() (in module email.header)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/nntplib.html#nntplib.decode_header">(in module nntplib)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/email.util.html#email.utils.decode_params">decode_params() (in module email.utils)</a>
  </dt>

      
  <dt><a href="library/email.util.html#email.utils.decode_rfc2231">decode_rfc2231() (in module email.utils)</a>
  </dt>

      
  <dt><a href="library/importlib.html#importlib.util.decode_source">decode_source() (in module importlib.util)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.decodebytes">decodebytes() (in module base64)</a>
  </dt>

      
  <dt><a href="library/email.generator.html#email.generator.DecodedGenerator">DecodedGenerator (class in email.generator)</a>
  </dt>

      
  <dt><a href="library/base64.html#base64.decodestring">decodestring() (in module base64)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/quopri.html#quopri.decodestring">(in module quopri)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/unicodedata.html#unicodedata.decomposition">decomposition() (in module unicodedata)</a>
  </dt>

      
  <dt><a href="library/bz2.html#bz2.BZ2Decompressor.decompress">decompress() (bz2.BZ2Decompressor method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/bz2.html#bz2.decompress">(in module bz2)</a>
  </dt>

        
  <dt><a href="library/gzip.html#gzip.decompress">(in module gzip)</a>
  </dt>

        
  <dt><a href="library/lzma.html#lzma.decompress">(in module lzma)</a>
  </dt>

        
  <dt><a href="library/zlib.html#zlib.decompress">(in module zlib)</a>
  </dt>

        
  <dt><a href="library/lzma.html#lzma.LZMADecompressor.decompress">(lzma.LZMADecompressor method)</a>
  </dt>

        
  <dt><a href="library/zlib.html#zlib.Decompress.decompress">(zlib.Decompress method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/zlib.html#zlib.decompressobj">decompressobj() (in module zlib)</a>
  </dt>

      
  <dt><a href="glossary.html#term-decorator"><strong>decorator</strong></a>
  </dt>

      
  <dt><a href="library/token.html#token.DEDENT">DEDENT (in module token)</a>
  </dt>

      
  <dt><a href="reference/compound_stmts.html#index-2">DEDENT token</a>, <a href="reference/lexical_analysis.html#index-9">[1]</a>
  </dt>

      
  <dt><a href="library/textwrap.html#textwrap.dedent">dedent() (in module textwrap)</a>
  </dt>

      
  <dt><a href="library/copy.html#copy.deepcopy">deepcopy() (in module copy)</a>
  </dt>

      
  <dt>
    def
  </dt>

      <dd><dl>
        
  <dt><a href="reference/compound_stmts.html#index-19">statement</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/curses.html#curses.def_prog_mode">def_prog_mode() (in module curses)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.def_shell_mode">def_shell_mode() (in module curses)</a>
  </dt>

      
  <dt>
    default
  </dt>

      <dd><dl>
        
  <dt><a href="reference/compound_stmts.html#index-21">parameter value</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/email.policy.html#email.policy.default">default (in module email.policy)</a>
  </dt>

      
  <dt><a href="library/unittest.mock.html#unittest.mock.DEFAULT">DEFAULT (in module unittest.mock)</a>
  </dt>

      
  <dt><a href="library/inspect.html#inspect.Parameter.default">default (inspect.Parameter attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/optparse.html#optparse.Option.default">(optparse.Option attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/cmd.html#cmd.Cmd.default">default() (cmd.Cmd method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/json.html#json.JSONEncoder.default">(json.JSONEncoder method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/io.html#io.DEFAULT_BUFFER_SIZE">DEFAULT_BUFFER_SIZE (in module io)</a>
  </dt>

      
  <dt><a href="library/xml.dom.pulldom.html#xml.dom.pulldom.default_bufsize">default_bufsize (in module xml.dom.pulldom)</a>
  </dt>

      
  <dt><a href="library/asyncio-eventloop.html#asyncio.BaseEventLoop.default_exception_handler">default_exception_handler() (asyncio.BaseEventLoop method)</a>
  </dt>

      
  <dt><a href="library/collections.html#collections.defaultdict.default_factory">default_factory (collections.defaultdict attribute)</a>
  </dt>

      
  <dt><a href="library/tarfile.html#tarfile.DEFAULT_FORMAT">DEFAULT_FORMAT (in module tarfile)</a>
  </dt>

      
  <dt><a href="library/filecmp.html#filecmp.DEFAULT_IGNORES">DEFAULT_IGNORES (in module filecmp)</a>
  </dt>

      
  <dt><a href="library/urllib.request.html#urllib.request.BaseHandler.default_open">default_open() (urllib.request.BaseHandler method)</a>
  </dt>

      
  <dt><a href="library/pickle.html#pickle.DEFAULT_PROTOCOL">DEFAULT_PROTOCOL (in module pickle)</a>
  </dt>

      
  <dt><a href="library/timeit.html#timeit.default_timer">default_timer() (in module timeit)</a>
  </dt>

      
  <dt><a href="library/decimal.html#decimal.DefaultContext">DefaultContext (class in decimal)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.DefaultCookiePolicy">DefaultCookiePolicy (class in http.cookiejar)</a>
  </dt>

      
  <dt><a href="library/collections.html#collections.defaultdict">defaultdict (class in collections)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.xmlparser.DefaultHandler">DefaultHandler() (xml.parsers.expat.xmlparser method)</a>
  </dt>

      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.xmlparser.DefaultHandlerExpand">DefaultHandlerExpand() (xml.parsers.expat.xmlparser method)</a>
  </dt>

      
  <dt><a href="library/configparser.html#configparser.ConfigParser.defaults">defaults() (configparser.ConfigParser method)</a>
  </dt>

      
  <dt><a href="library/selectors.html#selectors.DefaultSelector">DefaultSelector (class in selectors)</a>
  </dt>

      
  <dt><a href="library/unittest.html#unittest.defaultTestLoader">defaultTestLoader (in module unittest)</a>
  </dt>

      
  <dt><a href="library/unittest.html#unittest.TestCase.defaultTestResult">defaultTestResult() (unittest.TestCase method)</a>
  </dt>

      
  <dt><a href="library/email.headerregistry.html#email.headerregistry.BaseHeader.defects">defects (email.headerregistry.BaseHeader attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/email.message.html#email.message.Message.defects">(email.message.Message attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="distutils/apiref.html#distutils.ccompiler.CCompiler.define_macro">define_macro() (distutils.ccompiler.CCompiler method)</a>
  </dt>

      
  <dt>
    definition
  </dt>

      <dd><dl>
        
  <dt><a href="reference/compound_stmts.html#index-26">class</a>, <a href="reference/simple_stmts.html#index-21">[1]</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-19">function</a>, <a href="reference/simple_stmts.html#index-21">[1]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/os.html#os.defpath">defpath (in module os)</a>
  </dt>

      
  <dt><a href="library/urllib.parse.html#urllib.parse.DefragResult">DefragResult (class in urllib.parse)</a>
  </dt>

      
  <dt><a href="library/urllib.parse.html#urllib.parse.DefragResultBytes">DefragResultBytes (class in urllib.parse)</a>
  </dt>

      
  <dt><a href="library/math.html#math.degrees">degrees() (in module math)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/turtle.html#turtle.degrees">(in module turtle)</a>
  </dt>

      </dl></dd>
      
  <dt>
    del
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-23">statement</a>, <a href="library/stdtypes.html#index-47">[1]</a>, <a href="reference/datamodel.html#index-68">[2]</a>, <a href="reference/simple_stmts.html#index-18">[3]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/email.message.html#email.message.Message.del_param">del_param() (email.message.Message method)</a>
  </dt>

      
  <dt><a href="library/functions.html#delattr">delattr() (built-in function)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.delay">delay() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.delay_output">delay_output() (in module curses)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.FileCookieJar.delayload">delayload (http.cookiejar.FileCookieJar attribute)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.window.delch">delch() (curses.window method)</a>
  </dt>

      
  <dt><a href="library/poplib.html#poplib.POP3.dele">dele() (poplib.POP3 method)</a>
  </dt>

      
  <dt><a href="library/ftplib.html#ftplib.FTP.delete">delete() (ftplib.FTP method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/imaplib.html#imaplib.IMAP4.delete">(imaplib.IMAP4 method)</a>
  </dt>

        
  <dt><a href="library/tkinter.ttk.html#tkinter.ttk.Treeview.delete">(tkinter.ttk.Treeview method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/dis.html#opcode-DELETE_ATTR">DELETE_ATTR (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-DELETE_DEREF">DELETE_DEREF (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-DELETE_FAST">DELETE_FAST (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-DELETE_GLOBAL">DELETE_GLOBAL (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-DELETE_NAME">DELETE_NAME (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-DELETE_SUBSCR">DELETE_SUBSCR (opcode)</a>
  </dt>

      
  <dt><a href="library/imaplib.html#imaplib.IMAP4.deleteacl">deleteacl() (imaplib.IMAP4 method)</a>
  </dt>

      
  <dt><a href="library/tkinter.html#tkinter.Widget.tk.deletefilehandler">deletefilehandler() (tkinter.Widget.tk method)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.DeleteKey">DeleteKey() (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.DeleteKeyEx">DeleteKeyEx() (in module winreg)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.window.deleteln">deleteln() (curses.window method)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Breakpoint.deleteMe">deleteMe() (bdb.Breakpoint method)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.DeleteValue">DeleteValue() (in module winreg)</a>
  </dt>

      
  <dt>
    deletion
  </dt>

      <dd><dl>
        
  <dt><a href="reference/simple_stmts.html#index-20">attribute</a>
  </dt>

        
  <dt><a href="reference/simple_stmts.html#index-18">target</a>
  </dt>

        
  <dt><a href="reference/simple_stmts.html#index-18">target list</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/csv.html#csv.Dialect.delimiter">delimiter (csv.Dialect attribute)</a>
  </dt>

      
  <dt><a href="reference/lexical_analysis.html#index-22">delimiters</a>
  </dt>

      
  <dt><a href="library/operator.html#operator.delitem">delitem() (in module operator)</a>
  </dt>

      
  <dt><a href="library/multiprocessing.html#multiprocessing.connection.deliver_challenge">deliver_challenge() (in module multiprocessing.connection)</a>
  </dt>

      
  <dt><a href="library/locale.html#locale.delocalize">delocalize() (in module locale)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.simple_server.demo_app">demo_app() (in module wsgiref.simple_server)</a>
  </dt>

      
  <dt><a href="library/fractions.html#fractions.Fraction.denominator">denominator (fractions.Fraction attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/numbers.html#numbers.Rational.denominator">(numbers.Rational attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/exceptions.html#DeprecationWarning">DeprecationWarning</a>
  </dt>

      
  <dt><a href="library/collections.html#collections.deque">deque (class in collections)</a>
  </dt>

      
  <dt><a href="library/logging.handlers.html#logging.handlers.QueueListener.dequeue">dequeue() (logging.handlers.QueueListener method)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.DER_cert_to_PEM_cert">DER_cert_to_PEM_cert() (in module ssl)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.window.derwin">derwin() (curses.window method)</a>
  </dt>

      
  <dt>
    DES
  </dt>

      <dd><dl>
        
  <dt><a href="library/crypt.html#index-0">cipher</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/sqlite3.html#sqlite3.Cursor.description">description (sqlite3.Cursor attribute)</a>
  </dt>

      
  <dt><a href="library/nntplib.html#nntplib.NNTP.description">description() (nntplib.NNTP method)</a>
  </dt>

      
  <dt><a href="library/nntplib.html#nntplib.NNTP.descriptions">descriptions() (nntplib.NNTP method)</a>
  </dt>

      
  <dt><a href="glossary.html#term-descriptor"><strong>descriptor</strong></a>
  </dt>

      
  <dt><a href="library/optparse.html#optparse.Option.dest">dest (optparse.Option attribute)</a>
  </dt>

      
  <dt><a href="reference/datamodel.html#index-68">destructor</a>, <a href="reference/simple_stmts.html#index-7">[1]</a>
  </dt>

      
  <dt><a href="library/io.html#io.BufferedIOBase.detach">detach() (io.BufferedIOBase method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/io.html#io.TextIOBase.detach">(io.TextIOBase method)</a>
  </dt>

        
  <dt><a href="library/socket.html#socket.socket.detach">(socket.socket method)</a>
  </dt>

        
  <dt><a href="library/tkinter.ttk.html#tkinter.ttk.Treeview.detach">(tkinter.ttk.Treeview method)</a>
  </dt>

        
  <dt><a href="library/weakref.html#weakref.finalize.detach">(weakref.finalize method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/winreg.html#winreg.PyHKEY.Detach">Detach() (winreg.PyHKEY method)</a>
  </dt>

      
  <dt><a href="library/tokenize.html#tokenize.detect_encoding">detect_encoding() (in module tokenize)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#distutils.ccompiler.CCompiler.detect_language">detect_language() (distutils.ccompiler.CCompiler method)</a>
  </dt>

      
  <dt><a href="library/profile.html#index-0">deterministic profiling</a>
  </dt>

      
  <dt><a href="library/os.html#os.device_encoding">device_encoding() (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.devnull">devnull (in module os)</a>
  </dt>

      
  <dt><a href="library/subprocess.html#subprocess.DEVNULL">DEVNULL (in module subprocess)</a>
  </dt>

      
  <dt><a href="library/select.html#select.devpoll">devpoll() (in module select)</a>
  </dt>

      
  <dt><a href="library/selectors.html#selectors.DevpollSelector">DevpollSelector (class in selectors)</a>
  </dt>

      
  <dt><a href="library/gettext.html#gettext.dgettext">dgettext() (in module gettext)</a>
  </dt>

      
  <dt><a href="library/csv.html#csv.Dialect">Dialect (class in csv)</a>
  </dt>

      
  <dt><a href="library/csv.html#csv.csvreader.dialect">dialect (csv.csvreader attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/csv.html#csv.csvwriter.dialect">(csv.csvwriter attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/msilib.html#msilib.Dialog">Dialog (class in msilib)</a>
  </dt>

      
  <dt><a href="library/2to3.html#2to3fixer-dict">dict (2to3 fixer)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#dict">(built-in class)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/typing.html#typing.Dict">Dict (class in typing)</a>
  </dt>

      
  <dt><a href="library/multiprocessing.html#multiprocessing.managers.SyncManager.dict">dict() (multiprocessing.managers.SyncManager method)</a>
  </dt>

      
  <dt><a href="library/logging.config.html#logging.config.dictConfig">dictConfig() (in module logging.config)</a>
  </dt>

      
  <dt><a href="glossary.html#term-dictionary"><strong>dictionary</strong></a>
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-13">display</a>
  </dt>

        
  <dt><a href="c-api/dict.html#index-0">object</a>, <a href="library/stdtypes.html#index-47">[1]</a>, <a href="reference/datamodel.html#index-30">[2]</a>, <a href="reference/datamodel.html#index-44">[3]</a>, <a href="reference/datamodel.html#index-74">[4]</a>, <a href="reference/expressions.html#index-13">[5]</a>, <a href="reference/expressions.html#index-29">[6]</a>, <a href="reference/simple_stmts.html#index-11">[7]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-47">type, operations on</a>
  </dt>

      </dl></dd>
      
  <dt><a href="glossary.html#term-dictionary-view"><strong>dictionary view</strong></a>
  </dt>

      
  <dt><a href="library/csv.html#csv.DictReader">DictReader (class in csv)</a>
  </dt>

      
  <dt><a href="library/csv.html#csv.DictWriter">DictWriter (class in csv)</a>
  </dt>

      
  <dt><a href="library/difflib.html#difflib.diff_bytes">diff_bytes() (in module difflib)</a>
  </dt>

      
  <dt><a href="library/filecmp.html#filecmp.dircmp.diff_files">diff_files (filecmp.dircmp attribute)</a>
  </dt>

      
  <dt><a href="library/difflib.html#difflib.Differ">Differ (class in difflib)</a>, <a href="library/difflib.html#difflib.Differ">[1]</a>
  </dt>

      
  <dt><a href="library/stdtypes.html#set.difference">difference() (set method)</a>
  </dt>

      
  <dt><a href="library/stdtypes.html#set.difference_update">difference_update() (set method)</a>
  </dt>

      
  <dt><a href="library/difflib.html#module-difflib">difflib (module)</a>
  </dt>

  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/hashlib.html#hashlib.hash.digest">digest() (hashlib.hash method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/hmac.html#hmac.HMAC.digest">(hmac.HMAC method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/hmac.html#hmac.HMAC.digest_size">digest_size (hmac.HMAC attribute)</a>
  </dt>

      
  <dt><a href="library/unicodedata.html#unicodedata.digit">digit() (in module unicodedata)</a>
  </dt>

      
  <dt><a href="library/string.html#string.digits">digits (in module string)</a>
  </dt>

      
  <dt><a href="library/functions.html#dir">dir() (built-in function)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ftplib.html#ftplib.FTP.dir">(ftplib.FTP method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/filecmp.html#filecmp.dircmp">dircmp (class in filecmp)</a>
  </dt>

      
  <dt>
    directory
  </dt>

      <dd><dl>
        
  <dt><a href="library/os.html#index-18">changing</a>
  </dt>

        
  <dt><a href="library/os.html#index-19">creating</a>
  </dt>

        
  <dt><a href="library/os.html#index-20">deleting</a>, <a href="library/shutil.html#index-1">[1]</a>
  </dt>

        
  <dt><a href="library/site.html#index-1">site-packages</a>
  </dt>

        
  <dt><a href="library/os.html#index-22">traversal</a>, <a href="library/os.html#index-23">[1]</a>
  </dt>

        
  <dt><a href="library/os.html#index-22">walking</a>, <a href="library/os.html#index-23">[1]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/msilib.html#msilib.Directory">Directory (class in msilib)</a>
  </dt>

      
  <dt>
    directory ...
  </dt>

      <dd><dl>
        
  <dt><a href="library/compileall.html#cmdoption-compileall-arg-directory">compileall command line option</a>
  </dt>

      </dl></dd>
      
  <dt><a href="distutils/builtdist.html#directory_created">directory_created() (built-in function)</a>
  </dt>

      
  <dt><a href="library/os.html#os.DirEntry">DirEntry (class in os)</a>
  </dt>

      
  <dt><a href="library/tkinter.tix.html#tkinter.tix.DirList">DirList (class in tkinter.tix)</a>
  </dt>

      
  <dt><a href="library/os.path.html#os.path.dirname">dirname() (in module os.path)</a>
  </dt>

      
  <dt><a href="library/tkinter.tix.html#tkinter.tix.DirSelectBox">DirSelectBox (class in tkinter.tix)</a>
  </dt>

      
  <dt><a href="library/tkinter.tix.html#tkinter.tix.DirSelectDialog">DirSelectDialog (class in tkinter.tix)</a>
  </dt>

      
  <dt><a href="library/tkinter.tix.html#tkinter.tix.DirTree">DirTree (class in tkinter.tix)</a>
  </dt>

      
  <dt><a href="library/dis.html#module-dis">dis (module)</a>
  </dt>

      
  <dt><a href="library/dis.html#dis.Bytecode.dis">dis() (dis.Bytecode method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/dis.html#dis.dis">(in module dis)</a>
  </dt>

        
  <dt><a href="library/pickletools.html#pickletools.dis">(in module pickletools)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/pdb.html#pdbcommand-disable">disable (pdb command)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Breakpoint.disable">disable() (bdb.Breakpoint method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/faulthandler.html#faulthandler.disable">(in module faulthandler)</a>
  </dt>

        
  <dt><a href="library/gc.html#gc.disable">(in module gc)</a>
  </dt>

        
  <dt><a href="library/logging.html#logging.disable">(in module logging)</a>
  </dt>

        
  <dt><a href="library/profile.html#profile.Profile.disable">(profile.Profile method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/optparse.html#optparse.OptionParser.disable_interspersed_args">disable_interspersed_args() (optparse.OptionParser method)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.DisableReflectionKey">DisableReflectionKey() (in module winreg)</a>
  </dt>

      
  <dt><a href="library/dis.html#dis.disassemble">disassemble() (in module dis)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.Cookie.discard">discard (http.cookiejar.Cookie attribute)</a>
  </dt>

      
  <dt><a href="library/mailbox.html#mailbox.Mailbox.discard">discard() (mailbox.Mailbox method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/mailbox.html#mailbox.MH.discard">(mailbox.MH method)</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#set.discard">(set method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/asynchat.html#asynchat.async_chat.discard_buffers">discard_buffers() (asynchat.async_chat method)</a>
  </dt>

      
  <dt><a href="library/dis.html#dis.disco">disco() (in module dis)</a>
  </dt>

      
  <dt><a href="library/unittest.html#unittest.TestLoader.discover">discover() (unittest.TestLoader method)</a>
  </dt>

      
  <dt><a href="library/shutil.html#shutil.disk_usage">disk_usage() (in module shutil)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Bdb.dispatch_call">dispatch_call() (bdb.Bdb method)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Bdb.dispatch_exception">dispatch_exception() (bdb.Bdb method)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Bdb.dispatch_line">dispatch_line() (bdb.Bdb method)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Bdb.dispatch_return">dispatch_return() (bdb.Bdb method)</a>
  </dt>

      
  <dt><a href="library/pickle.html#pickle.Pickler.dispatch_table">dispatch_table (pickle.Pickler attribute)</a>
  </dt>

      
  <dt><a href="library/asyncore.html#asyncore.dispatcher">dispatcher (class in asyncore)</a>
  </dt>

      
  <dt><a href="library/asyncore.html#asyncore.dispatcher_with_send">dispatcher_with_send (class in asyncore)</a>
  </dt>

      
  <dt>
    display
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-13">dictionary</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-11">list</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-12">set</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-10">tuple</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/pdb.html#pdbcommand-display">display (pdb command)</a>
  </dt>

      
  <dt><a href="library/email.headerregistry.html#email.headerregistry.Address.display_name">display_name (email.headerregistry.Address attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/email.headerregistry.html#email.headerregistry.Group.display_name">(email.headerregistry.Group attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/sys.html#sys.displayhook">displayhook() (in module sys)</a>
  </dt>

      
  <dt><a href="library/platform.html#platform.dist">dist() (in module platform)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.distance">distance() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/dis.html#dis.distb">distb() (in module dis)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#distutils.core.Distribution">Distribution (class in distutils.core)</a>
  </dt>

      
  <dt><a href="library/distutils.html#module-distutils">distutils (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.archive_util">distutils.archive_util (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.bcppcompiler">distutils.bcppcompiler (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.ccompiler">distutils.ccompiler (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.cmd">distutils.cmd (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command">distutils.command (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.bdist">distutils.command.bdist (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.bdist_dumb">distutils.command.bdist_dumb (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.bdist_msi">distutils.command.bdist_msi (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.bdist_packager">distutils.command.bdist_packager (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.bdist_rpm">distutils.command.bdist_rpm (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.bdist_wininst">distutils.command.bdist_wininst (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.build">distutils.command.build (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.build_clib">distutils.command.build_clib (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.build_ext">distutils.command.build_ext (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.build_py">distutils.command.build_py (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.build_scripts">distutils.command.build_scripts (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.check">distutils.command.check (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.clean">distutils.command.clean (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.config">distutils.command.config (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.install">distutils.command.install (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.install_data">distutils.command.install_data (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.install_headers">distutils.command.install_headers (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.install_lib">distutils.command.install_lib (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.install_scripts">distutils.command.install_scripts (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.register">distutils.command.register (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.command.sdist">distutils.command.sdist (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.core">distutils.core (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.cygwinccompiler">distutils.cygwinccompiler (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.debug">distutils.debug (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.dep_util">distutils.dep_util (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.dir_util">distutils.dir_util (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.dist">distutils.dist (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.errors">distutils.errors (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.extension">distutils.extension (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.fancy_getopt">distutils.fancy_getopt (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.file_util">distutils.file_util (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.filelist">distutils.filelist (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.log">distutils.log (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.msvccompiler">distutils.msvccompiler (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.spawn">distutils.spawn (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.sysconfig">distutils.sysconfig (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.text_file">distutils.text_file (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.unixccompiler">distutils.unixccompiler (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.util">distutils.util (module)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#module-distutils.version">distutils.version (module)</a>
  </dt>

      
  <dt><a href="distutils/setupscript.html#index-0">DISTUTILS_DEBUG</a>
  </dt>

      
  <dt><a href="library/decimal.html#decimal.Context.divide">divide() (decimal.Context method)</a>
  </dt>

      
  <dt><a href="library/decimal.html#decimal.Context.divide_int">divide_int() (decimal.Context method)</a>
  </dt>

      
  <dt><a href="reference/expressions.html#index-51">division</a>
  </dt>

      
  <dt><a href="library/decimal.html#decimal.DivisionByZero">DivisionByZero (class in decimal)</a>
  </dt>

      
  <dt>
    divmod
  </dt>

      <dd><dl>
        
  <dt><a href="c-api/number.html#index-0">built-in function</a>, <a href="reference/datamodel.html#index-83">[1]</a>, <a href="reference/datamodel.html#index-84">[2]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/functions.html#divmod">divmod() (built-in function)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/decimal.html#decimal.Context.divmod">(decimal.Context method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/ctypes.html#ctypes.DllCanUnloadNow">DllCanUnloadNow() (in module ctypes)</a>
  </dt>

      
  <dt><a href="library/ctypes.html#ctypes.DllGetClassObject">DllGetClassObject() (in module ctypes)</a>
  </dt>

      
  <dt><a href="library/sys.html#sys.dllhandle">dllhandle (in module sys)</a>
  </dt>

      
  <dt><a href="library/gettext.html#gettext.dngettext">dngettext() (in module gettext)</a>
  </dt>

      
  <dt><a href="library/bdb.html#bdb.Bdb.do_clear">do_clear() (bdb.Bdb method)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.textpad.Textbox.do_command">do_command() (curses.textpad.Textbox method)</a>
  </dt>

      
  <dt><a href="library/http.server.html#http.server.SimpleHTTPRequestHandler.do_GET">do_GET() (http.server.SimpleHTTPRequestHandler method)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.SSLSocket.do_handshake">do_handshake() (ssl.SSLSocket method)</a>
  </dt>

      
  <dt><a href="library/http.server.html#http.server.SimpleHTTPRequestHandler.do_HEAD">do_HEAD() (http.server.SimpleHTTPRequestHandler method)</a>
  </dt>

      
  <dt><a href="library/http.server.html#http.server.CGIHTTPRequestHandler.do_POST">do_POST() (http.server.CGIHTTPRequestHandler method)</a>
  </dt>

      
  <dt><a href="library/json.html#json.JSONDecodeError.doc">doc (json.JSONDecodeError attribute)</a>
  </dt>

      
  <dt><a href="library/cmd.html#cmd.Cmd.doc_header">doc_header (cmd.Cmd attribute)</a>
  </dt>

      
  <dt><a href="library/xmlrpc.server.html#xmlrpc.server.DocCGIXMLRPCRequestHandler">DocCGIXMLRPCRequestHandler (class in xmlrpc.server)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DocFileSuite">DocFileSuite() (in module doctest)</a>
  </dt>

      
  <dt><a href="library/unittest.html#unittest.TestCase.doCleanups">doCleanups() (unittest.TestCase method)</a>
  </dt>

      
  <dt><a href="library/smtplib.html#smtplib.SMTP.docmd">docmd() (smtplib.SMTP method)</a>
  </dt>

      
  <dt><a href="reference/compound_stmts.html#index-26">docstring</a>, <a href="glossary.html#term-docstring"><strong>[1]</strong></a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/doctest.html#doctest.DocTest.docstring">(doctest.DocTest attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="tutorial/controlflow.html#index-1">docstrings</a>, <a href="tutorial/controlflow.html#index-4">[1]</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DocTest">DocTest (class in doctest)</a>
  </dt>

      
  <dt><a href="library/doctest.html#module-doctest">doctest (module)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DocTestFailure">DocTestFailure</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DocTestFinder">DocTestFinder (class in doctest)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DocTestParser">DocTestParser (class in doctest)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DocTestRunner">DocTestRunner (class in doctest)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DocTestSuite">DocTestSuite() (in module doctest)</a>
  </dt>

      
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.TreeBuilder.doctype">doctype() (xml.etree.ElementTree.TreeBuilder method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.XMLParser.doctype">(xml.etree.ElementTree.XMLParser method)</a>
  </dt>

      </dl></dd>
      
  <dt>
    documentation
  </dt>

      <dd><dl>
        
  <dt><a href="library/pydoc.html#index-0">generation</a>
  </dt>

        
  <dt><a href="library/pydoc.html#index-0">online</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/datamodel.html#index-57">documentation string</a>
  </dt>

      
  <dt><a href="tutorial/controlflow.html#index-1">documentation strings</a>, <a href="tutorial/controlflow.html#index-4">[1]</a>
  </dt>

      
  <dt><a href="library/xml.dom.html#xml.dom.Document.documentElement">documentElement (xml.dom.Document attribute)</a>
  </dt>

      
  <dt><a href="library/xmlrpc.server.html#xmlrpc.server.DocXMLRPCRequestHandler">DocXMLRPCRequestHandler (class in xmlrpc.server)</a>
  </dt>

      
  <dt><a href="library/xmlrpc.server.html#xmlrpc.server.DocXMLRPCServer">DocXMLRPCServer (class in xmlrpc.server)</a>
  </dt>

      
  <dt><a href="library/email.headerregistry.html#email.headerregistry.Address.domain">domain (email.headerregistry.Address attribute)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.Cookie.domain_initial_dot">domain_initial_dot (http.cookiejar.Cookie attribute)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.CookiePolicy.domain_return_ok">domain_return_ok() (http.cookiejar.CookiePolicy method)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.Cookie.domain_specified">domain_specified (http.cookiejar.Cookie attribute)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.DefaultCookiePolicy.DomainLiberal">DomainLiberal (http.cookiejar.DefaultCookiePolicy attribute)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.DefaultCookiePolicy.DomainRFC2965Match">DomainRFC2965Match (http.cookiejar.DefaultCookiePolicy attribute)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.DefaultCookiePolicy.DomainStrict">DomainStrict (http.cookiejar.DefaultCookiePolicy attribute)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.DefaultCookiePolicy.DomainStrictNoDots">DomainStrictNoDots (http.cookiejar.DefaultCookiePolicy attribute)</a>
  </dt>

      
  <dt><a href="library/http.cookiejar.html#http.cookiejar.DefaultCookiePolicy.DomainStrictNonDomain">DomainStrictNonDomain (http.cookiejar.DefaultCookiePolicy attribute)</a>
  </dt>

      
  <dt><a href="library/xml.dom.pulldom.html#xml.dom.pulldom.DOMEventStream">DOMEventStream (class in xml.dom.pulldom)</a>
  </dt>

      
  <dt><a href="library/xml.dom.html#xml.dom.DOMException">DOMException</a>
  </dt>

      
  <dt><a href="library/xml.dom.html#xml.dom.DomstringSizeErr">DomstringSizeErr</a>
  </dt>

      
  <dt><a href="library/asyncio-task.html#asyncio.Future.done">done() (asyncio.Future method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/concurrent.futures.html#concurrent.futures.Future.done">(concurrent.futures.Future method)</a>
  </dt>

        
  <dt><a href="library/turtle.html#turtle.done">(in module turtle)</a>
  </dt>

        
  <dt><a href="library/xdrlib.html#xdrlib.Unpacker.done">(xdrlib.Unpacker method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/doctest.html#doctest.DONT_ACCEPT_BLANKLINE">DONT_ACCEPT_BLANKLINE (in module doctest)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.DONT_ACCEPT_TRUE_FOR_1">DONT_ACCEPT_TRUE_FOR_1 (in module doctest)</a>
  </dt>

      
  <dt><a href="library/sys.html#sys.dont_write_bytecode">dont_write_bytecode (in module sys)</a>
  </dt>

      
  <dt><a href="library/logging.handlers.html#logging.handlers.RotatingFileHandler.doRollover">doRollover() (logging.handlers.RotatingFileHandler method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/logging.handlers.html#logging.handlers.TimedRotatingFileHandler.doRollover">(logging.handlers.TimedRotatingFileHandler method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/token.html#token.DOT">DOT (in module token)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.dot">dot() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/re.html#re.DOTALL">DOTALL (in module re)</a>
  </dt>

      
  <dt><a href="library/csv.html#csv.Dialect.doublequote">doublequote (csv.Dialect attribute)</a>
  </dt>

      
  <dt><a href="library/token.html#token.DOUBLESLASH">DOUBLESLASH (in module token)</a>
  </dt>

      
  <dt><a href="library/token.html#token.DOUBLESLASHEQUAL">DOUBLESLASHEQUAL (in module token)</a>
  </dt>

      
  <dt><a href="library/token.html#token.DOUBLESTAR">DOUBLESTAR (in module token)</a>
  </dt>

      
  <dt><a href="library/token.html#token.DOUBLESTAREQUAL">DOUBLESTAREQUAL (in module token)</a>
  </dt>

      
  <dt><a href="library/curses.html#curses.doupdate">doupdate() (in module curses)</a>
  </dt>

      
  <dt><a href="library/pdb.html#pdbcommand-down">down (pdb command)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.down">down() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/asyncio-stream.html#asyncio.StreamWriter.drain">drain() (asyncio.StreamWriter method)</a>
  </dt>

      
  <dt><a href="library/textwrap.html#textwrap.TextWrapper.drop_whitespace">drop_whitespace (textwrap.TextWrapper attribute)</a>
  </dt>

      
  <dt><a href="library/itertools.html#itertools.dropwhile">dropwhile() (in module itertools)</a>
  </dt>

      
  <dt><a href="library/datetime.html#datetime.datetime.dst">dst() (datetime.datetime method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/datetime.html#datetime.time.dst">(datetime.time method)</a>
  </dt>

        
  <dt><a href="library/datetime.html#datetime.timezone.dst">(datetime.timezone method)</a>
  </dt>

        
  <dt><a href="library/datetime.html#datetime.tzinfo.dst">(datetime.tzinfo method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/xml.sax.handler.html#xml.sax.handler.DTDHandler">DTDHandler (class in xml.sax.handler)</a>
  </dt>

      
  <dt><a href="glossary.html#term-duck-typing"><strong>duck-typing</strong></a>
  </dt>

      
  <dt><a href="library/formatter.html#formatter.DumbWriter">DumbWriter (class in formatter)</a>
  </dt>

      
  <dt><a href="library/dummy_threading.html#module-dummy_threading">dummy_threading (module)</a>
  </dt>

      
  <dt><a href="library/ast.html#ast.dump">dump() (in module ast)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/json.html#json.dump">(in module json)</a>
  </dt>

        
  <dt><a href="library/marshal.html#marshal.dump">(in module marshal)</a>
  </dt>

        
  <dt><a href="library/pickle.html#pickle.dump">(in module pickle)</a>
  </dt>

        
  <dt><a href="library/plistlib.html#plistlib.dump">(in module plistlib)</a>
  </dt>

        
  <dt><a href="library/xml.etree.elementtree.html#xml.etree.ElementTree.dump">(in module xml.etree.ElementTree)</a>
  </dt>

        
  <dt><a href="library/pickle.html#pickle.Pickler.dump">(pickle.Pickler method)</a>
  </dt>

        
  <dt><a href="library/tracemalloc.html#tracemalloc.Snapshot.dump">(tracemalloc.Snapshot method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/profile.html#profile.Profile.dump_stats">dump_stats() (profile.Profile method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/profile.html#pstats.Stats.dump_stats">(pstats.Stats method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/faulthandler.html#faulthandler.dump_traceback">dump_traceback() (in module faulthandler)</a>
  </dt>

      
  <dt><a href="library/faulthandler.html#faulthandler.dump_traceback_later">dump_traceback_later() (in module faulthandler)</a>
  </dt>

      
  <dt><a href="library/json.html#json.dumps">dumps() (in module json)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/marshal.html#marshal.dumps">(in module marshal)</a>
  </dt>

        
  <dt><a href="library/pickle.html#pickle.dumps">(in module pickle)</a>
  </dt>

        
  <dt><a href="library/plistlib.html#plistlib.dumps">(in module plistlib)</a>
  </dt>

        
  <dt><a href="library/xmlrpc.client.html#xmlrpc.client.dumps">(in module xmlrpc.client)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/os.html#os.dup">dup() (in module os)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/socket.html#socket.socket.dup">(socket.socket method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/os.html#os.dup2">dup2() (in module os)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-DUP_TOP">DUP_TOP (opcode)</a>
  </dt>

      
  <dt><a href="library/dis.html#opcode-DUP_TOP_TWO">DUP_TOP_TWO (opcode)</a>
  </dt>

      
  <dt><a href="library/configparser.html#configparser.DuplicateOptionError">DuplicateOptionError</a>
  </dt>

      
  <dt><a href="library/configparser.html#configparser.DuplicateSectionError">DuplicateSectionError</a>
  </dt>

      
  <dt><a href="library/subprocess.html#subprocess.STARTUPINFO.dwFlags">dwFlags (subprocess.STARTUPINFO attribute)</a>
  </dt>

      
  <dt><a href="library/types.html#types.DynamicClassAttribute">DynamicClassAttribute() (in module types)</a>
  </dt>

  </dl></td>
</tr></table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
   <h4>Index</h4>
   <p><a href="genindex-Symbols.html"><strong>Symbols</strong></a>
     | <a href="genindex-_.html"><strong>_</strong></a>
     | <a href="genindex-A.html"><strong>A</strong></a>
     | <a href="genindex-B.html"><strong>B</strong></a>
     | <a href="genindex-C.html"><strong>C</strong></a>
     | <a href="#"><strong>D</strong></a>
     | <a href="genindex-E.html"><strong>E</strong></a>
     | <a href="genindex-F.html"><strong>F</strong></a>
     | <a href="genindex-G.html"><strong>G</strong></a>
     | <a href="genindex-H.html"><strong>H</strong></a>
     | <a href="genindex-I.html"><strong>I</strong></a>
     | <a href="genindex-J.html"><strong>J</strong></a>
     | <a href="genindex-K.html"><strong>K</strong></a>
     | <a href="genindex-L.html"><strong>L</strong></a>
     | <a href="genindex-M.html"><strong>M</strong></a>
     | <a href="genindex-N.html"><strong>N</strong></a>
     | <a href="genindex-O.html"><strong>O</strong></a>
     | <a href="genindex-P.html"><strong>P</strong></a>
     | <a href="genindex-Q.html"><strong>Q</strong></a>
     | <a href="genindex-R.html"><strong>R</strong></a>
     | <a href="genindex-S.html"><strong>S</strong></a>
     | <a href="genindex-T.html"><strong>T</strong></a>
     | <a href="genindex-U.html"><strong>U</strong></a>
     | <a href="genindex-V.html"><strong>V</strong></a>
     | <a href="genindex-W.html"><strong>W</strong></a>
     | <a href="genindex-X.html"><strong>X</strong></a>
     | <a href="genindex-Y.html"><strong>Y</strong></a>
     | <a href="genindex-Z.html"><strong>Z</strong></a>
     </p>

   <p><a href="genindex-all.html"><strong>Full index on one page</strong></a></p>
   


<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 19, 2016.
    <a href="bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>